Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#494 closed defect (fixed)

The http demo does not built

Reported by: Jay Monkman Owned by: Eric Norum
Priority: lowest Milestone: 2
Component: network/legacy Version: 4.6
Severity: normal Keywords:
Cc: bugs@…, joel.sherrill@… Blocked By:
Blocking:

Description

The http demo in network-demos doesn't build. There are two problems with it.

system.h and init.c incorrect - I guess it hasn't been kept up to date with the changes to the install directory tree?

On arm, objcopy is generating an object file that ld thinks uses hardware floating point. Since the BSP doesn't have hardware floating point, linking fails.

I've attached a patch that fixes both of these problems. I'm confident the system.h and init.c problems is safe. I don't know that the makefile change is safe for all architectures.

Release:
RTEMS-4.6.0pre4

Attachments (2)

http.diff (1.9 KB) - added by Jay Monkman on 12/03/06 at 13:31:12.
http.diff
http1.diff (1.2 KB) - added by Jay Monkman on 12/03/06 at 13:31:12.
http1.diff

Download all attachments as: .zip

Change History (2)

comment:1 Changed on 09/18/03 at 19:53:53 by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Patch http1.diff applied to 4.6 branch and trunk. Nice idea

on merging the objcopy into the ld command. :)

Changed on 12/03/06 at 13:31:12 by Jay Monkman

Attachment: http1.diff added

http1.diff

Note: See TracTickets for help on using tickets.